none
Microsoft .NET Framework安装的时候,可以同时安装3.0、3.5、4吗? RRS feed

  • 问题

  • 各位大神好!

    想请教大家点技术方面的问题:

    电脑中同时安装了下面这几个版本:

    Microsoft .NET Framework 3.0简体中文语言包、

    Microsoft .NET Framework 3.5 SP1、

    Microsoft .NET Framework 3.5 SP1语言包-简体中文、

    Microsoft .NET Framework 4 Client Profile

    这样对电脑使用某些程序有影响吗?有一个软件最近总是而且经常无法启动,出现发送错误报告的消息,如下:(因为无法上图,只要手动打出来了)

    ****.exe遇到问题需要关闭。我们对此引起的不便表示抱歉。

    如果您正处于进程当中,信息有可能丢失。

    请将此问题报告给Microsoft。

    我们已创建了一个错误报告,您可以将其发送给我们以帮助我们改善****.exe的质量。这个报告会被认为是机密的,匿名的。

    此错误报告包含什么数据?

    为何要报告给Microsoft?

                                                                                                   发送错误报告        不发送

    PS:

    我查看计算机的应用程序日志时,发现经常出现下面的日志记录:

    2013-4-12 8:50:54 .NET Runtime 2.0 Error Reporting 婋楍 1000 N/A ZSUZHOU023N Faulting application gfim0000_gwan.exe, version 1.0.0.0, stamp 51674530, faulting module kernel32.dll, version 5.1.2600.6293, stamp 506bc5dd, debug? 0, fault address 0x00012fd3.

    所以,想问大神们三个问题:

    1.之所以无法启动该程序,老提示发送错误报告,会跟.net framework有关系吗?因为该程序需要.net framework。

    2.如果要重新安装.net framework,可不可以把所有的版本都卸载掉,然后直接只安装一个.net framework 4?这样会不会造成该软件无法使用?听说.net framework 4是向下兼容的,但是我担心只安装.net framework 4会不会出问题?可以不可以直接安装4而不安装低的版本?该软件要求.net framework 2.0以上版本。

    3.各位大神们有其他的什么想法吗?会不会有其他的原因造成的?

    谢谢大家了~~~~


    2013年4月14日 2:30

答案

全部回复

  • 一直在使用的一款工作软件(好像是用.net开发的。就是每次使用网址进入,然后出来一个登录框,登录之后,有各种界面),最近出现了问题,总是无法启动,点击了网址图标之后,就出现图1的消息。

    我去计算机日志中,查看了应用程序的日志,发现这一段时间以来,经常出现一个相同的日志消息,如下:

     

    2013-4-12      8:50:54   .NET Runtime 2.0 Error Reporting      婋楍           1000       N/A ZSUZHOU023N    Faulting application gfim0000_gwan.exe, version 1.0.0.0, stamp 51674530, faulting module kernel32.dll, version 5.1.2600.6293, stamp 506bc5dd, debug? 0, fault address 0x00012fd3.

     

    楼主是小白,完全不懂这些,我在百度搜索了一下,查到和“kernel32.dll, version 5.1.2600.6293, stamp 506bc5dd”相关的,有一个微软的漏洞补丁MS12-081KB2758857)。

    gfim0000_gwan.exe就是这个工作软件的程序组件之一。我不知道这一段经常用不了这个软件,是不是跟这个有关。

    求助各位大神,希望大家帮我看看,这到底是哪儿出现了问题呀?

     

     

    PS: 运行该工作软件需要.net 3.5以上版本,但是计算机里面安装的有3.5以上的版本。详情见图2.

    电脑里安装的有Symantec Endpoint Protection这个杀毒软件,有时候这个杀毒软件的主动防御日志里面会拦截到这款软件,我也不知道是不是这个原因。

     


    2013年4月13日 14:41
  • 可以同时安装,互不干扰。如果你的软件要求net framework2以上版本,推荐3.5。

    就我看来,net framework4是独立的,不基于2。


    If you think one reply solves your problem, please mark it as An Answer, if you think someone's reply helps you, please mark it as a Proposed Answer

    Help by clicking:
    Click here to donate your rice to the poor
    Click to Donate
    Click to feed Dogs & Cats

    2013年4月14日 2:40
    版主
  • Hi,你的问题在于:

    1)可能是杀软导致,建议卸载改用免费的(比如金山毒霸啥的,可能的话)。如果不可以请把这个软件列为“白名单”。

    2)建议你使用金山毒霸或者360(或者Windows Update)更新Windows全部的补丁。

    3)你那个软件是网页版的?需不需要下载插件啥的,可以给我地址我看看?谢谢!


    If you think one reply solves your problem, please mark it as An Answer, if you think someone's reply helps you, please mark it as a Proposed Answer

    Help by clicking:
    Click here to donate your rice to the poor
    Click to Donate
    Click to feed Dogs & Cats



    2013年4月14日 3:44
    版主
  • 哦。谢谢你的回复哈~~

    那我打不开这个软件,以及计算机日志中经常出现的消息,应该跟.net framework也没有多大关系喽?

    用不着卸载掉所有的版本,再重新安装.net framework啦。

    我想把所有版本都卸载掉,然后直接安装一个.net framework 4试试。担心卸载后安装不成功,瞎子治成了哑巴~

    2013年4月14日 6:38
  • 不一定和net framework相关。

    If you think one reply solves your problem, please mark it as An Answer, if you think someone's reply helps you, please mark it as a Proposed Answer

    Help by clicking:
    Click here to donate your rice to the poor
    Click to Donate
    Click to feed Dogs & Cats

    2013年4月14日 6:39
    版主
  • 哦。好的。谢谢你啦~~
    2013年4月14日 6:57
  • 如果问题在.Net里面,只有这一个软件报错是很不正常的。

    如果问题是在你运行的软件里面,无论你怎么修复.Net也不能解决问题。



    Visual C++ MVP

    2013年4月15日 2:53
    版主